Bug 1284373 - Wireless network interface disappears after kernel update
Wireless network interface disappears after kernel update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 02:58 EST by Janusz
Modified: 2015-11-23 15:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 14:40:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifconfig output under 4.1.13 and 4.0.8 (1.95 KB, text/plain)
2015-11-23 02:58 EST, Janusz
no flags Details
output of dmesg from the working kernel (56.19 KB, text/plain)
2015-11-23 12:18 EST, Janusz
no flags Details
output of dmesg from the nonworking kernel (50.75 KB, text/plain)
2015-11-23 12:19 EST, Janusz
no flags Details

  None (edit)
Description Janusz 2015-11-23 02:58:45 EST
Created attachment 1097589 [details]
ifconfig output under 4.1.13 and 4.0.8

Description of problem:

Wireless network card doesn't work after kernel update. 

Version-Release number of selected component (if applicable):
4.1.13-100.fc21.x86_64

How reproducible:
Reboot with the new kernel and Wi-Fi is doesn't work.
Reboot with 4.0.8-200 and it works. 

Steps to Reproduce:
1. Reboot with new kernel
2. Network Manager doesn't show any wireless interface
3. ifconfig doesn't show any wireless interface either

Actual results:
Connection to a wireless network impossible

Expected results:
Wireless network should work

Additional info:
Wireless worked without any problem until 4.0.8-200. 
It stopped working on first 4.1.x that I had, but being busy I hoped it will be fixed in the following release so I have been using 4.0.8 kernel. 

Toshiba Z30-B-119 laptop. Intel i5-5200U CPU. FHD screen. Fedora 21 64 bit.
Comment 1 Josh Boyer 2015-11-23 07:43:50 EST
Please provide the output of dmesg from a working and nonworking kernel.

Also note that F21 is going EOL in a week.  We are most likely not going to fix this bug in that timeframe, so it would benefit you to update to a newer version of Fedora.
Comment 2 Janusz 2015-11-23 12:18 EST
Created attachment 1097773 [details]
output of dmesg from the working kernel

Thank you for a prompt response. I am attaching the output of dmesg from the working and nonworking kernel.
Comment 3 Janusz 2015-11-23 12:19 EST
Created attachment 1097774 [details]
output of dmesg from the nonworking kernel
Comment 4 Josh Boyer 2015-11-23 12:57:51 EST
What version of the iwl3160-firmware package do you have installed?  Please provide the output of:

rpm -q linux-firmware iwl3160-firmware
Comment 5 Janusz 2015-11-23 14:21:43 EST
Here is the output of rpm -q linux-firmware iwl3160-firmware

linux-firmware-20141013-41.git0e5f6377.fc21.noarch
iwl3160-firmware-25.222.9.0-41.fc21.noarch
Comment 6 Josh Boyer 2015-11-23 14:40:17 EST
Please update both of those packages.  Those are really quite old and are missing the firmware the newer kernels require.  You'll probably need to rebuild your initramfs, or uninstall/reinstall the 4.1.13 kernel after.  Or, as noted earlier, upgrade your Fedora installation to something newer as F21 is going EOL soon.
Comment 7 Janusz 2015-11-23 15:39:39 EST
Thank you very much! It works. 
(I will upgrade my Fedora as soon as I have time, but I think this will not be before the end of November)

Note You need to log in before you can comment on or make changes to this bug.